Name: worker
Version: 2.15.0
Release: alt1
Summary: File manager for X-Window on UNIX
License: GPLv2+
URL: http://www.boomerangsworld.de/worker
Group: File tools
Source: http://www.boomerangsworld.de/worker/downloads/%name-%version.tar
Packager: Dmitriy Khanzhin <jinn@altlinux.ru>

#BuildPreReq: cdparanoia flac lame normalize vorbis-tools ImageMagick xli
# Automatically added by buildreq on Sat Oct 27 2007
BuildRequires: gcc-c++ imake libavfs-devel libSM-devel libX11-devel xorg-cf-files

%description
Worker is a file manager for X-Window on UNIX.
The dirs and files are shown in two independent panels (similar to Midnight Commander).

Worker is free software released under the GNU General Public License.

%prep
%setup -n %name-%version

%build
%configure --with-avfs
%make_build

%install
%makeinstall
mkdir -p %buildroot%_desktopdir

cat << EOF > %buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%name
Icon=WorkerIcon
Terminal=false
Name=Worker File Manager
Comment=File manager for X-Window on UNIX
Categories=Utility;FileTools;FileManager;
EOF

/usr/bin/install -pD -m644 %buildroot%_pixmapsdir/WorkerIcon16.xpm %buildroot%_miconsdir/WorkerIcon.xpm
/usr/bin/install -pD -m644 %buildroot%_pixmapsdir/WorkerIcon32.xpm %buildroot%_niconsdir/WorkerIcon.xpm
/usr/bin/install -pD -m644 %buildroot%_pixmapsdir/WorkerIcon48.xpm %buildroot%_liconsdir/WorkerIcon.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog README*
%_bindir/*
%_datadir/%name
%_man1dir/*
%_pixmapsdir/WorkerIcon.*
%_iconsdir/*/*/*/*
%_desktopdir/*

%changelog
* Sun Oct 28 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.15.0-alt1
- new version
- fixed intersections with current filesystem package

* Sat Dec 30 2006 Dmitriy Khanzhin <jinn@altlinux.ru> 2.14.1-alt0.2
- 2.14.1
- fix icon paths
- fix default config

* Sat Nov 11 2006 Dmitriy Khanzhin <jinn@altlinux.ru> 2.14.0-alt0.1
- Initial build
